Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1718414 - kernel oops: unable to handle kernel paging request
Summary: kernel oops: unable to handle kernel paging request
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-07 17:00 UTC by Dimitris
Modified: 2019-06-13 01:38 UTC (History)
17 users (show)

Fixed In Version: kernel-5.1.8-300.fc30 kernel-5.1.8-200.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 14:48:12 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
oops in kernel log (deleted)
2019-06-07 17:00 UTC, Dimitris
no flags Details

Description Dimitris 2019-06-07 17:00:00 UTC
Created attachment 1578405 [details]
oops in kernel log

1. Please describe the problem:

5.1.7 has 1+ oops/day which result in stuck processes and terminal sessions, requiring a reboot.

2. What is the Version-Release number of the kernel:

5.1.7-200.fc29

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Didn't seem to have this under 5.1.6-200.fc29 and earlier kernels

4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

No specific steps to reproduce, just happens after a while under normal use.  I'm attaching trace.

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

"Error: Unknown repo: 'rawhide'" - is this feasible under F29?

6. Are you running any modules that not shipped with directly Fedora's kernel?:

No

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Mat Martineau 2019-06-07 17:53:03 UTC
The fix for this is queued for 5.1.8:

https://lore.kernel.org/linux-mm/1558711908-15688-1-git-send-email-suzuki.poulose@arm.com/

Comment 2 Fedora Update System 2019-06-10 15:27:43 UTC
FEDORA-2019-c03eda3cc6 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c03eda3cc6

Comment 3 Fedora Update System 2019-06-10 15:28:13 UTC
FEDORA-2019-83858fc57b has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-83858fc57b

Comment 4 Fedora Update System 2019-06-11 01:19:22 UTC
kernel-5.1.8-300.fc30, kernel-headers-5.1.8-300.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c03eda3cc6

Comment 5 Fedora Update System 2019-06-11 01:45:42 UTC
kernel-5.1.8-200.fc29, kernel-headers-5.1.8-200.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-83858fc57b

Comment 6 Fedora Update System 2019-06-12 14:48:12 UTC
kernel-5.1.8-300.fc30, kernel-headers-5.1.8-300.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-13 01:38:31 UTC
kernel-5.1.8-200.fc29, kernel-headers-5.1.8-200.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.